//  @import com.hedgehoglab.application.model.BaseModel;

function CaseFilterModel(scope){
    BaseModel.call(this,scope);
    var _user=null;
    var _contact=null;
    var _status=null;

    this.person=function(user,contact){
    	if(arguments.length>0){
        	_user=user;
        	_contact=contact;
			this.raise_event('person_changed',{
				user: _user,
				contact: _contact,
				status: _status
			});
		}
		return {user: _user,contact: _contact};
	};
	
	this.status=function(status){
        if(arguments.length>0){
        	_status=status;
			this.raise_event('status_changed',{
				user: _user,
				contact: _contact,
				status: _status
			});
		}
		return _status;
	};
};